- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::detail::AnyType Class Reference

`#include <type.hpp>`

## Public Member Functions
| AnyType ()
| AnyType (TypeInterface *typeInterface)
| AnyType (const AnyType &rhs)
AnyType & | operator= (const AnyType &rhs)
TypeKind | kind () const
TypeSignature | signature () const
TypeInterface * | type () const
std::string | toString ()
std::string | name () const
std::string | className () const
AnyTypeVector | elements ()
FieldInfoVector | members ()
FieldInfoVector | methods ()
FieldInfo | method (const uint32_t id)
FieldInfoVector | methodOverloads (const std::string &name)
FieldInfoVector | sigs ()
FieldInfo | signal (const uint32_t id)
FieldInfo | signal (const std::string &id)
FieldInfoVector | properties ()
FieldInfo | property (const uint32_t id)
FieldInfo | property (const std::string &name)
FieldInfoVector | paramsIn ()
FieldInfoVector | paramsOut ()
AnyType | key ()
AnyType | element ()
int | bits ()
int | isSigned ()
bool | isConvertible (AnyType type)
bool | isConstructible (AnyType type)
bool | operator== (const AnyType &rhs)

## Detailed Description

Definition at line 44 of file type.hpp.

## Constructor & Destructor Documentation

qi::detail::AnyType::AnyType | ( |  | ) |

qi::detail::AnyType::AnyType | ( | TypeInterface * | typeInterface | ) |

qi::detail::AnyType::AnyType | ( | const AnyType & | rhs | ) |

## Member Function Documentation

int qi::detail::AnyType::bits | ( |  | ) |

std::string qi::detail::AnyType::className | ( |  | ) | const

AnyType qi::detail::AnyType::element | ( |  | ) |

AnyTypeVector qi::detail::AnyType::elements | ( |  | ) |

bool qi::detail::AnyType::isConstructible | ( | AnyType | type | ) |

bool qi::detail::AnyType::isConvertible | ( | AnyType | type | ) |

int qi::detail::AnyType::isSigned | ( |  | ) |

AnyType qi::detail::AnyType::key | ( |  | ) |

TypeKind qi::detail::AnyType::kind | ( |  | ) | const

FieldInfoVector qi::detail::AnyType::members | ( |  | ) |

FieldInfo qi::detail::AnyType::method | ( | const uint32_t | id | ) |

FieldInfoVector qi::detail::AnyType::methodOverloads | ( | const std::string & | name | ) |

FieldInfoVector qi::detail::AnyType::methods | ( |  | ) |

std::string qi::detail::AnyType::name | ( |  | ) | const

AnyType& qi::detail::AnyType::operator= | ( | const AnyType & | rhs | ) |

bool qi::detail::AnyType::operator== | ( | const AnyType & | rhs | ) |
| inline

Definition at line 112 of file type.hpp.

FieldInfoVector qi::detail::AnyType::paramsIn | ( |  | ) |

FieldInfoVector qi::detail::AnyType::paramsOut | ( |  | ) |

FieldInfoVector qi::detail::AnyType::properties | ( |  | ) |

FieldInfo qi::detail::AnyType::property | ( | const uint32_t | id | ) |

FieldInfo qi::detail::AnyType::property | ( | const std::string & | name | ) |

FieldInfo qi::detail::AnyType::signal | ( | const uint32_t | id | ) |

FieldInfo qi::detail::AnyType::signal | ( | const std::string & | id | ) |

TypeSignature qi::detail::AnyType::signature | ( |  | ) | const

FieldInfoVector qi::detail::AnyType::sigs | ( |  | ) |

std::string qi::detail::AnyType::toString | ( |  | ) |

TypeInterface* qi::detail::AnyType::type | ( |  | ) | const
| inline

Definition at line 57 of file type.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/detail/type.hpp